We use cookies to give you the best experience on our website. If you continue to browse, then you agree to our privacy policy and cookie policy. Image for the cookie policy date
Unfortunately, activation email could not send to your email. Please try again.
Syncfusion Feedback


Overview

Angular Combination Chart combines two or more chart types into a single chart to compare different data sets. Supports zooming, panning, tooltip, trackball, and selection.


Combination of line, area, and column chart

You can create multiple series of different types in the same chart. Legend and tooltip for the series make it more readable.


Pareto chart

Pareto chart is the combination of line and column charts. The column represents data in the descending order, whereas the line chart represents the cumulative value of the data.


Combination of Candle with Column/Line

You can combine Candle with line or column chart to show additional parameters in financial analysis. For example, volume of the stock can be viewed with the help of column chart.


Angular Combination Chart Code Example

Easily get started with Angular Combination Chart using a few simple lines of HTML and TS code example as demonstrated below. Also explore our Angular Combination Chart Example that shows you how to render and configure the chart.

<ejs-chart style='display:block' id='chartcontainer'>
<e-series-collection>
    <e-series [dataSource]='data' type='Line' xName='x' yName='y'> </e-series>    
    <e-series [dataSource]='data1' type='Column' xName='x' yName='y'> </e-series>      
</e-series-collection>
</ejs-chart>
//app.component.ts

import { Component } from '@angular/core';
export class AppComponent {
  public data: Object[] =  [
    { x: 2005, y: 28 }, { x: 2006, y: 25 }, { x: 2007, y: 26 }, { x: 2008, y: 27 },
    { x: 2009, y: 32 }, { x: 2010, y: 35 }, { x: 2011, y: 30 }
];
public data1: Object[] =  [
  { x: 2005, y: 15 }, { x: 2006, y: 16 }, { x: 2007, y: 17 }, { x: 2008, y: 18 },
  { x: 2009, y: 19 }, { x: 2010, y: 20 }, { x: 2011, y: 21 }
];
}
//app.module.ts

import { ChartModule } from '@syncfusion/ej2-ng-charts';
import { LineSeriesService, ColumnSeriesService, CategoryService} from '@syncfusion/ej2-ng-charts';
import { AppComponent } from './app.component';

@NgModule({
  declarations: [
    AppComponent
  ],
  imports: [
    BrowserModule, ChartModule
  ],
  providers: [ LineSeriesService, ColumnSeriesService, CategoryService],
  bootstrap: [AppComponent]
})
export class AppModule { }

Learning Resources

UG

Combination Chart User Guide

Learn the available options to customize Angular Combination Chart.

API

Combination Chart API Reference

Explore the Angular Combination Chart APIs.


85+ ANGULAR UI COMPONENTS

Scroll up icon

Warning Icon You are using an outdated version of Internet Explorer that may not display all features of this and other websites. Upgrade to Internet Explorer 8 or newer for a better experience.Close Icon

Live Chat Icon For mobile
Live Chat Icon

We use cookies to give you the best experience on our website. If you continue to browse, then you agree to our privacy policy and cookie policy. Image for the cookie policy date
Unfortunately, activation email could not send to your email. Please try again.
Syncfusion Feedback


Overview

React Combination Chart combines two or more chart types into a single chart to compare different data sets. Supports zooming, panning, tooltip, trackball, and selection.


Combination of line, area, and column chart

You can create multiple series of different types in the same chart. Legend and tooltip for the series make it more readable.


Pareto chart

Pareto chart is the combination of line and column charts. The column represents data in the descending order, whereas the line chart represents the cumulative value of the data.


Combination of Candle with Column/Line

You can combine Candle with line or column chart to show additional parameters in financial analysis. For example, volume of the stock can be viewed with the help of column chart.


React Combination Chart Code Example

Easily get started with React Combination Chart using a few simple lines of HTML and JS code example as demonstrated below. Also explore our React Combination Chart Example that shows you how to render and configure the chart.

<!DOCTYPE html>
<html>

<body> 
     <div id="charts"></div>
</body>

</html>
import {AxisModel,Category, ChartComponent, ColumnSeries, Inject,LineSeries, SeriesCollectionDirective, SeriesDirective} from'@syncfusion/ej2-react-charts';
import * as React from 'react';
class App extends React.Component<{}, {}> {
  public primaryXAxis: AxisModel = { valueType: 'Category'};
  public data1 : any[]= [
    { x: 2005, y: 28 }, { x: 2006, y: 25 }, { x: 2007, y: 26 }, { x: 2008, y: 27 },
    { x: 2009, y: 32 }, { x: 2010, y: 35 }, { x: 2011, y: 30 }
];
public data2 : any[]= [
  { x: 2005, y: 15 }, { x: 2006, y: 16 }, { x: 2007, y: 17 }, { x: 2008, y: 18 },
  { x: 2009, y: 19 }, { x: 2010, y: 20 }, { x: 2011, y: 21 }
];
  public render() {
    return <ChartComponent id='charts' primaryXAxis={this.primaryXAxis}>
      <Inject services={[ColumnSeries, Category,LineSeries]} />
      <SeriesCollectionDirective>
      <SeriesDirective dataSource={this.data1} xName='x' yName='y' type='Line'/>
      <SeriesDirective dataSource={this.data2} xName='x' yName='y' type='Column'/>
      </SeriesCollectionDirective>
    </ChartComponent>
  }
};
ReactDOM.render(
  <App />,
  document.getElementById('charts') as HTMLElement
);

Learning Resources

UG

Combination Chart User Guide

Learn the available options to customize React combination chart.

API

Combination Chart API Reference

Explore the React combination chart APIs.


85+ REACT UI COMPONENTS

Scroll up icon

Warning Icon You are using an outdated version of Internet Explorer that may not display all features of this and other websites. Upgrade to Internet Explorer 8 or newer for a better experience.Close Icon

Live Chat Icon For mobile
Live Chat Icon